gnutls_openpgp_privkey_get_subkey_id(3)

NAME
gnutls_openpgp_privkey_get_subkey_id - Gets the keyID

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_privkey_get_subkey_id(gnutls_openpgp_privkey_t key, unsigned int idx, gnutls_openpgp_keyid_t keyid);

ARGUMENTS

gnutls_openpgp_privkey_t key
    the structure that contains the OpenPGP secret key.

unsigned int idx
    the subkey index

gnutls_openpgp_keyid_t keyid
    the buffer to save the keyid.

DESCRIPTION
Get the key-id for the subkey.

RETURNS
the 64-bit keyID of the OpenPGP key.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.